using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace spring2015con11
{
    class Program
    {
        //static public StreamWriter sw = new StreamWriter("person.txt",true);
        //static public StreamReader sr = new StreamReader("person.txt");
 
        static void Main(string[] args)

        {
            int stop=0;
            while(stop==0)
            {

              Console.Clear();
              Console.WriteLine();
              Console.WriteLine(" Personal database");
              Console.WriteLine();
              Console.WriteLine("1 - insert a new person");
              Console.WriteLine("2 - show all");
              Console.WriteLine("3 - search a person");
              Console.WriteLine("4 - edit a person");
              Console.WriteLine("5 - delete a person");
              Console.WriteLine();
              Console.WriteLine("9 - exit a program");
              Console.WriteLine();
              string c = "";
              c = Console.ReadLine();
              switch (c)
              {
                case "1":
                    insertperson();
                    break;
                case "2":
                    showall();
                    break;
                case "3":
                    searchperson();
                    break;
                case "4":
                    editperson();
                    break;
                case "5":
                    deleteperson();
                    break;
                case "6":
                    break;
                case "7":
                    break;
                case "8":
                    break;
                case "9":
                    stop = 1;
                    break;
                default:
                    //insertperson();
                    break;
              }
            }
        }
        static void insertperson()
        {
            string allinfo = "";
            string name, addr, zip, city, phone, mail;
            Console.Clear();
            Console.Write("Please enter name    : ");
            name = Console.ReadLine();
            Console.Write("Please enter addr    : ");
            addr = Console.ReadLine();
            Console.Write("Please enter zipcode : ");
            zip = Console.ReadLine();
            Console.Write("Please enter city    : ");
            city = Console.ReadLine();
            Console.Write("Please enter phone   : ");
            phone = Console.ReadLine();
            Console.Write("Please enter mail    : ");
            mail = Console.ReadLine();
            allinfo=name+";"+addr+";"+zip+";"+city+";"+phone+";"+mail;
            
            StreamWriter sw = new StreamWriter("person.txt",true);
            sw.WriteLine(allinfo);
            sw.Close();
            sw.Dispose();

        }
        static void showall()
        {
            string str;
            Console.Clear();

            StreamReader sr = new StreamReader("person.txt");
            while ((str = sr.ReadLine()) != null)
            {
                Console.WriteLine(str);
            }
            sr.Close();
            Console.ReadLine();
        }
        static void searchperson()
        {
            Console.Clear();
            string name,str;
            Console.Write("please enter the name to search for : ");
            name = Console.ReadLine();
            StreamReader sr = new StreamReader("person.txt");
            int exist = 0;
            while ((str = sr.ReadLine()) != null)
            {
                string[] st= str.Split(';');
                if (st[0] == name)
                {
                    exist = 1;
                    Console.WriteLine("name  = "+st[0]);
                    Console.WriteLine("addr  = " + st[1]);
                    Console.WriteLine("zip   = " + st[2]);
                    Console.WriteLine("city  = " + st[3]);
                    Console.WriteLine("phone = " + st[4]);
                    Console.WriteLine("mail  = " + st[5]);
                }
            }
            sr.Close();
            if (exist == 0)
                Console.WriteLine("Name does not exist");
            Console.ReadLine();
        }

        static void editperson()
        {
            Console.Clear();
            string name, str;
            Console.Write("please enter the name to edit : ");
            name = Console.ReadLine();
            StreamReader sr = new StreamReader("person.txt");
            StreamWriter sw = new StreamWriter("tempperson.txt", true);

            int exist = 0;
            string[] starr = new string[10];
            while ((str = sr.ReadLine()) != null)
            {
                string[] st = str.Split(';');
                if (st[0] == name)
                {
                    exist = 1;
                    Console.Write("name  = " + st[0]+"  : ");
                    starr[0] = Console.ReadLine();
                    Console.Write("addr  = " + st[1] + "  : ");
                    starr[1] = Console.ReadLine();
                    Console.Write("zip   = " + st[2] + "  : ");
                    starr[2] = Console.ReadLine();
                    Console.Write("city  = " + st[3] + "  : ");
                    starr[3] = Console.ReadLine();
                    Console.Write("phone = " + st[4] + "  : ");
                    starr[4] = Console.ReadLine();
                    Console.Write("mail  = " + st[5] + "  : ");
                    starr[5] = Console.ReadLine();
                    str = "";
                    if (starr[0] != "")
                        str += starr[0] + ";";
                    else
                        str += st[0]+";";
                    if (starr[1] != "")
                        str += starr[1] + ";";
                    else
                        str += st[1] + ";";
                    if (starr[2] != "")
                        str += starr[2] + ";";
                    else
                        str += st[2] + ";";
                    if (starr[3] != "")
                        str += starr[3] + ";";
                    else
                        str += st[3] + ";";
                    if (starr[4] != "")
                        str += starr[4] + ";";
                    else
                        str += st[4] + ";";
                    if (starr[5] != "")
                        str += starr[5] + ";";
                    else
                        str += st[5] + ";";

                }
                    sw.WriteLine(str);
            }
            sr.Close();
            sw.Close();
            File.Delete("person.txt");
            File.Move("tempperson.txt", "person.txt");

            if (exist == 0)
                Console.WriteLine("Name does not exist");
            Console.ReadLine();
        }
 
        
        static void deleteperson()
        {
            Console.Clear();
            string name, str;
            Console.Write("please enter the name to delete : ");
            name = Console.ReadLine();
            StreamReader sr = new StreamReader("person.txt");
            StreamWriter sw = new StreamWriter("tempperson.txt", true);
            int exist = 0;
            while ((str = sr.ReadLine()) != null)
            {
                string[] st = str.Split(';');
                if (st[0] != name)
                {
                    sw.WriteLine(str);
                }
                else
                {
                    exist = 1;
                }
            }
            sr.Close();
            sw.Close();
            File.Delete("person.txt");
            File.Move("tempperson.txt", "person.txt");
            if (exist == 1)
                Console.WriteLine("a person is deleted");
            else
                Console.WriteLine("no one is deleted");

            Console.ReadLine();
        }
    }
}
